Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud DNS
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Move
        • Delete
        • GetRecordSet
        • ListRecordSets
        • UpdateRecordSets
        • UpsertRecordSets
        • ListOperations
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
        • UpdatePrivateNetworks
  • Monitoring metrics
  • Audit Trails events
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Query parameters
  • Response
  • DnsZone
  • PrivateVisibility
  1. API reference
  2. REST
  3. DnsZone
  4. List

Cloud DNS API, REST: DnsZone.List

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • DnsZone
  • PrivateVisibility

Retrieves the list of DNS zones in the specified folder.

HTTP requestHTTP request

GET https://dns.api.cloud.yandex.net/dns/v1/zones

Query parametersQuery parameters

Field

Description

folderId

string

Required field. ID of the folder to list DNS zones in.
To get the folder ID use a yandex.cloud.resourcemanager.v1.FolderService.List request.

The maximum string length in characters is 50.

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a ListDnsZonesResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListDnsZonesResponse.nextPageToken returned by a previous list request.

The maximum string length in characters is 1000.

filter

string

A filter expression that filters DNS zones listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on the DnsZone.name field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].
    Example of a filter: name=my-dns-zone.

The maximum string length in characters is 1000.

ResponseResponse

HTTP Code: 200 - OK

{
  "dnsZones": [
    {
      "id": "string",
      "folderId": "string",
      "createdAt": "string",
      "name": "string",
      "description": "string",
      "labels": "object",
      "zone": "string",
      "privateVisibility": {
        "networkIds": [
          "string"
        ]
      },
      "publicVisibility": "object",
      "deletionProtection": "boolean"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

dnsZones[]

DnsZone

List of DNS zones in the specified folder.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
the specified ListDnsZonesRequest.pageSize, use next_page_token as the value
for the ListDnsZonesRequest.pageToken parameter in the next list request.
Each subsequent page will have its own next_page_token to continue paging through the results.

DnsZoneDnsZone

A DNS zone. For details about the concept, see DNS zones.

Field

Description

id

string

ID of the DNS zone. Generated at creation time.

folderId

string

ID of the folder that the DNS zone belongs to.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Name of the DNS zone.
The name is unique within the folder.

description

string

Description of the DNS zone.

labels

object (map<string, string>)

DNS zone labels as key:value pairs.

zone

string

DNS zone suffix.

privateVisibility

PrivateVisibility

Privately visible zone settings.
Specifies whether records within the zone are visible from a VPC networks only.

publicVisibility

object

Publicly visible zone settings.
Indicates whether records within the zone are publicly visible.

deletionProtection

boolean

Prevents accidental zone removal.

PrivateVisibilityPrivateVisibility

Configuration for privately visible zones.

Field

Description

networkIds[]

string

Network IDs.

The number of elements must be in the range 0-100.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.